# CMIP6 analysis

This repository contains code and some supporting data contributing to the manuscript entitled "Insights 
into Australia's future climate from CMIP6" by Grose, Narsey, Delage, Dowdy, Bador, Boschat, Chung, Kajtar, 
Rauniyar, Freund, Lyu, Rashid, Zhang, Wales, Trenham, Holbrook, Cowan, Alexander, Arblaster, Power (in review, 2020), 
https://www.essoar.org/doi/pdf/10.1002/essoar.10501525.1 in Earth's Future.

The scripts and notebooks are a mixture of Python, NCL, Matlab, R, and bash, and are contributed by respective 
authors, to produce the analyses presented in the above paper. The repository is structured to reflect the 
subsections of the paper. The "climpact" code used to produce climate extremes data is also included.

Where paths are given, they refer to NCI file systems, where raw and regridded CMIP5 and CMIP6 data are stored.

This repository is published via Zenodo: https://doi.org/10.5281/zenodo.3676121

The code was contributing by the following authors:
* Figure 1 - Sugata Narsey
* Figure 2 - Christine Chung
* Figure 3 - Sugata Narsey
* Figure 4 - Sugata Narsey
* Figure 5 - Francois Delage
* Figure 6 - Jules Kajtar
* Figure 7 - Kewei Lyu
* Figure 8 - Michael Grose (data)
* Figure 9 - Surendra Rauniyar
* Figure 10 - Surendra Rauniyar
* Figure 11 - Margot Bador
* Climdex climate extremes code - Scott Wales
* Supplementary Figure 1 - Margot Bador
* Supplementary Figure 2 - Margot Bador
* Supplementary Figure 3 - Margot Bador
* Supplementary Figure 4a - Harun Rashid
* Supplementary Figure 4b - Mandy Freund
* Supplementary Figure 5 - Ghyslaine Boschat
* Supplementary Figure 6 - Michael Grose (data)
* Supplementary Figure 7 - Surendra Rauniyar
* Supplementary Figure 8 - Margot Bador


This research was undertaken with the assistance of resources from the National Computational Infrastructure 
(NCI Australia), an NCRIS enabled capability supported by the Australian Government. We acknowledge the World 
Climate Research Programme's Working Group on Coupled Modelling, which is responsible for CMIP, and we thank the 
climate modelling groups for producing and making available their model output. CMIP5 and CMIP6 model outputs 
were made available with the assistance of resources from the NCI. NOAA High Resolution SST data provided by the 
NOAA/OAR/ESRL PSD, Boulder, Colorado, USA, from their website at https://www.esrl.noaa.gov/psd/. We thank Martin 
Dix from CSIRO for calculating ECS indices. We acknowledge the support of Australian Government’s National 
Environmental Science Programme’s Earth Systems and Climate Change Hub.
